%global momorel 1

Name:           perl-Catalyst-Plugin-I18N
Version:        0.09
Release:	%{momorel}m%{?dist}
Summary:        I18N for Catalyst
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-I18N/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-I18N-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Runtime >= 2.99
BuildRequires:  perl-Locale-Maketext-Lexicon
BuildRequires:  perl-Locale-Maketext-Simple
Requires:       perl-Catalyst-Runtime >= 2.99
Requires:       perl-Locale-Maketext-Lexicon
Requires:       perl-Locale-Maketext-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Supports mo/po files and Maketext classes under your applications I18N
namespace.

%prep
%setup -q -n Catalyst-Plugin-I18N-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07-2m)
- rebuild against gcc43

* Wed Jan  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- update to 0.07

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.06-1m)
- update to 0.06

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.05-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
